.modal-text-bg{
	position: fixed;
	z-index: 100;
	width: 100%;
	height: 100%;
	top: 0px;
	left: 0px;
	background-color: rgba(0,0,0,0.5);
	display: flex;
	justify-content: center;
	align-items: center;
	visibility: hidden;
	opacity: 0;
	transition: visibility 0s, opacity 0.5s;
	/*overflow-y: auto;*/
	
}

.bg-text-active{
	visibility: visible;
	opacity: 1;
}
.modal-text{
	position: absolute;
	background-color: white;
	display: flex;
	border-radius: 3px;
	justify-content: space-around;
	align-items: center;
	flex-direction: column;
	padding: 0.2rem 0.5rem 0.2rem 0.5rem;
	box-shadow: 0 5px 8px 0 rgba(0,0,0,0.2),0 7px 20px 0 rgba(0,0,0,0.17);
        width: auto;
        height:auto;
	max-width: 800px;
	hight: 80em;
       	font-family: sans-serif;
        margin: 0 auto;
}


.modal-text-close {
	justify-content:flex-end;
        width:100%;
        text-align:right;
	font-weight: bold;
        line-height: 1em;
        font-size: 2em;
        color: rgb(27, 79, 161);
	cursor: pointer;
	border:none;
}

.modal-text-header {
 /*padding:10px 15px;*/
 width:100%;
 display: flex;
 flex-direction:column;
 justify-content: space-between;
 align-items:center;
 border-bottom:1px solid lightgrey;
}
.modal-text-heading {
	font-size:2rem;
	color:rgb(27, 79, 161);
	font-weight: bold;
}

.modal-text-title {
border-top:1px solid lightgrey;
width:100%;
padding:1em;

}
.modal-text-body {
display:flex;
width:100%;
padding-top:2em;
align-items:center;
}

.modal-text-body label {
	display:inline-block;
	font-weight:700;
	text-align:left;
	margin-right:1em;
}

.modal-text-body form {
width:100%;
}


.modal-text-body input[type=text] {
width:100%;
border-radius: 0.5rem;
display:block;
height: 3rem;
font-size:1rem;
border:1px solid #ccc; 
}

.modal-text-body select {
width:100%;
border-radius: 0.5rem; 
display:block;
height: 3rem;
font-size:1rem;
border:1px solid #ccc; 
}

.modal-text-body input.text-me[type=submit]{
        display:block;
	border-radius: 0.5rem;
        height: 2.5rem;
	font-size:1.5rem;
	margin: 20px;
	background-color: #337ab7;
	border-color:#2e6da4;
        font-size:1em;
	color: white;
	border: none;
	cursor: pointer;
}
.modal-text-body input.text-me[type=submit]:hover{
	opacity: 0.7;
}

a.text-callno{
    display:inline-block;
	border-radius: 0.2rem;
    height: 1rem;
	font-size:1rem;
	margin: 2px;
	block-size: auto;
	background-color: rgb(27, 79, 161);
	border-color:#2e6da4;
    font-size:1em;
	color: white;
	border: none;
	padding: 4px 3px 4px 3px;
    white-space: nowrap;
    width: auto;
    line-height: 1em;
	cursor: pointer;
}
a.text-callno:hover{
	opacity: 0.7;
}
.modal-text-footer{
color:blue;
}

div#status_msg{
	color: red;
	
}
